---
apiVersion: projectcalico.org/v3
kind: NetworkPolicy
metadata:
  name: external-dns
  namespace: core-external-dns
spec:
  selector: app.kubernetes.io/name == 'external-dns'

  egress:
  # to api-server
  - action: Allow
    protocol: TCP
    destination:
      services:
        name: kubernetes
        namespace: default

  # dns
  - action: Allow
    protocol: TCP
    destination:
      ports:
      - '443'
